Arrays Visualizer

## Macros

#define | __itt_av_save __itt_av_saveA
#define | __itt_av_save_ptr __itt_av_saveA_ptr
#define | __itt_module_load __itt_module_loadA
#define | __itt_module_load_ptr __itt_module_loadA_ptr

## Enumerations

enum | __itt_av_data_type { __itt_e_first = 0, __itt_e_char = 0, __itt_e_uchar, __itt_e_int16, __itt_e_uint16, __itt_e_int32, __itt_e_uint32, __itt_e_int64, __itt_e_uint64, __itt_e_float, __itt_e_double, __itt_e_last = __itt_e_double }
| Defines types of arrays data (for C/C++ intrinsic types) More...

## Functions

int ITTAPI | __itt_av_saveA (void *data, int rank, const int *dimensions, int type, const char *filePath, int columnOrder)
| Save an array data to a file. Output format is defined by the file extension. The csv and bmp formats are supported (bmp - for 2-dimensional array only). More...
int ITTAPI | __itt_av_saveW (void *data, int rank, const int *dimensions, int type, const wchar_t *filePath, int columnOrder)
void ITTAPI | __itt_enable_attach (void)
void ITTAPI | __itt_module_loadA (void *start_addr, void *end_addr, const char *path)
| Module load info This API is used to report necessary information in case of module relocation. More...
void ITTAPI | __itt_module_loadW (void *start_addr, void *end_addr, const wchar_t *path)

## Detailed Description

Visualize arrays

## Macro Definition Documentation

## __itt_av_save

#define __itt_av_save __itt_av_saveA

Definition at line 3571 of file ittnotify.h.

## __itt_av_save_ptr

#define __itt_av_save_ptr __itt_av_saveA_ptr

Definition at line 3572 of file ittnotify.h.

## __itt_module_load

#define __itt_module_load __itt_module_loadA

Definition at line 3654 of file ittnotify.h.

## __itt_module_load_ptr

#define __itt_module_load_ptr __itt_module_loadA_ptr

Definition at line 3655 of file ittnotify.h.

## Enumeration Type Documentation

## __itt_av_data_type

enum __itt_av_data_type

Defines types of arrays data (for C/C++ intrinsic types)

Enumerator
__itt_e_first |
__itt_e_char |
__itt_e_uchar |
__itt_e_int16 |
__itt_e_uint16 |
__itt_e_int32 |
__itt_e_uint32 |
__itt_e_int64 |
__itt_e_uint64 |
__itt_e_float |
__itt_e_double |
__itt_e_last |

Definition at line 3535 of file ittnotify.h.

{
__itt_e_first = 0,
__itt_e_char = 0, /* 1-byte integer */
__itt_e_uchar, /* 1-byte unsigned integer */
__itt_e_int16, /* 2-byte integer */
__itt_e_uint16, /* 2-byte unsigned integer */
__itt_e_int32, /* 4-byte integer */
__itt_e_uint32, /* 4-byte unsigned integer */
__itt_e_int64, /* 8-byte integer */
__itt_e_uint64, /* 8-byte unsigned integer */
__itt_e_float, /* 4-byte floating */
__itt_e_double, /* 8-byte floating */
__itt_e_last = __itt_e_double
} __itt_av_data_type;

## Function Documentation

## __itt_av_saveA()

int ITTAPI __itt_av_saveA | ( | void * | data,
|  | int | rank,
|  | const int * | dimensions,
|  | int | type,
|  | const char * | filePath,
|  | int | columnOrder
| ) |  |

Save an array data to a file. Output format is defined by the file extension. The csv and bmp formats are supported (bmp - for 2-dimensional array only).

Parameters

  [in] | data | - pointer to the array data
  [in] | rank | - the rank of the array
  [in] | dimensions | - pointer to an array of integers, which specifies the array dimensions. The size of dimensions must be equal to the rank
  [in] | type | - the type of the array, specified as one of the __itt_av_data_type values (for intrinsic types)
  [in] | filePath | - the file path; the output format is defined by the file extension
  [in] | columnOrder | - defines how the array is stored in the linear memory. It should be 1 for column-major order (e.g. in FORTRAN) or 0 - for row-major order (e.g. in C).

## __itt_av_saveW()

int ITTAPI __itt_av_saveW | ( | void * | data,
|  | int | rank,
|  | const int * | dimensions,
|  | int | type,
|  | const wchar_t * | filePath,
|  | int | columnOrder
| ) |  |

## __itt_enable_attach()

void ITTAPI __itt_enable_attach | ( | void |  | ) |

## __itt_module_loadA()

void ITTAPI __itt_module_loadA | ( | void * | start_addr,
|  | void * | end_addr,
|  | const char * | path
| ) |  |

Module load info This API is used to report necessary information in case of module relocation.

Parameters

  [in] | start_addr | - relocated module start address
  [in] | end_addr | - relocated module end address
  [in] | path | - file system path to the module

## __itt_module_loadW()

void ITTAPI __itt_module_loadW | ( | void * | start_addr,
|  | void * | end_addr,
|  | const wchar_t * | path
| ) |  |

__itt_e_uint16
Definition: ittnotify.h:3541
__itt_e_uint32
Definition: ittnotify.h:3543
__itt_e_double
Definition: ittnotify.h:3547
__itt_e_last
Definition: ittnotify.h:3548
__itt_e_int16
Definition: ittnotify.h:3540
__itt_e_int32
Definition: ittnotify.h:3542
__itt_e_first
Definition: ittnotify.h:3537
__itt_e_float
Definition: ittnotify.h:3546
__itt_e_uint64
Definition: ittnotify.h:3545
__itt_av_data_type
__itt_av_data_type
Defines types of arrays data (for C/C++ intrinsic types)
Definition: ittnotify.h:3535
__itt_e_char
Definition: ittnotify.h:3538
__itt_e_uchar
Definition: ittnotify.h:3539
__itt_e_int64
Definition: ittnotify.h:3544

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.